# Inbounds Inbounds, or Mobile Originated (MO) messages, are incoming messages. Inbound messages can be listed and retrieved like batch messages and they can also be delivered by callback requests like delivery reports. ## List incoming messages - [GET /xms/v1/{service_plan_id}/inbounds](https://developers.sinch.com/docs/sms/api-reference/sms/inbounds/listinboundmessages.md): With the list operation, you can list all inbound messages that you have received. This operation supports pagination. Inbounds are returned in reverse chronological order. ## Retrieve inbound message - [GET /xms/v1/{service_plan_id}/inbounds/{inbound_id}](https://developers.sinch.com/docs/sms/api-reference/sms/inbounds/retrieveinboundmessage.md): This operation retrieves a specific inbound message using the provided inbound ID. ## Incoming SMS - [POST incomingSMS](https://developers.sinch.com/docs/sms/api-reference/sms/inbounds/incomingsms.md): An inbound message is a message sent to one of your short codes or long numbers from a mobile phone. To receive inbound message callbacks, a URL needs to be added to your REST API. This URL can be specified in your Dashboard. ## Incoming SMS - [POST incomingSMS](https://developers.sinch.com/docs/sms/api-reference/sms/webhooks/incomingsms.md): An inbound message is a message sent to one of your short codes or long numbers from a mobile phone. To receive inbound message callbacks, a URL needs to be added to your REST API. This URL can be specified in your Dashboard.